petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexCreateExodusFromFile

Create a DMPlex mesh from an ExodusII file.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateExodusFromFile(MPI_Comm comm, const char filename[], PetscBool interpolate, DM *dm)

Collective on comm

### Input Parameters

| comm | - The MPI communicator
| filename | - The name of the ExodusII file
| interpolate | - Create faces and edges in the mesh

### Output Parameter

dm -The DM object representing the mesh

### Keywords

mesh,ExodusII

### See Also

DMPLEX, DMCreate(), DMPlexCreateExodus()

### Level

beginner

### Location

src/dm/impls/plex/plexexodusii.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages